ace.define("ace/theme/pdjsexpression", ["require", "exports", "module", "ace/lib/dom"], function (require, exports, module) {

    exports.isDark = false;
    exports.cssClass = "ace-pdjsexpression";
    exports.cssText = ".ace-pdjsexpression .ace_gutter {\
background: #ebebeb;\
color: #333;\
overflow: hidden;\
}\
.ace-pdjsexpression .ace_print-margin {\
width: 1px;\
background: #e8e8e8;\
}\
.ace-pdjsexpression {\
background-color: #FFFFFF;\
color: black;\
}\
.ace-pdjsexpression .ace_identifier {\
color: blue;\
}\
.ace-pdjsexpression .ace_keyword {\
color: #FF0000;\
}\
.ace-pdjsexpression .ace_numeric {\
color: black;\
}\
.ace-pdjsexpression .ace_storage {\
color: #11B7BE;\
}\
.ace-pdjsexpression .ace_keyword.ace_operator,\
.ace-pdjsexpression .ace_lparen,\
.ace-pdjsexpression .ace_rparen,\
.ace-pdjsexpression .ace_punctuation {\
color: #808080;\
}\
.ace-pdjsexpression .ace_set.ace_statement {\
color: #0000FF;\
text-decoration: underline;\
}\
.ace-pdjsexpression .ace_cursor {\
color: black;\
}\
.ace-pdjsexpression .ace_invisible {\
color: rgb(191, 191, 191);\
}\
.ace-pdjsexpression .ace_constant.ace_buildin {\
color: rgb(88, 72, 246);\
}\
.ace-pdjsexpression .ace_constant.ace_language {\
color: #979797;\
}\
.ace-pdjsexpression .ace_constant.ace_library {\
color: rgb(6, 150, 14);\
}\
.ace-pdjsexpression .ace_invalid {\
background-color: rgb(153, 0, 0);\
color: white;\
}\
.ace-pdjsexpression .ace_support.ace_function {\
color: #FF00FF;\
}\
.ace-pdjsexpression .ace_support.ace_constant {\
color: rgb(6, 150, 14);\
}\
.ace-pdjsexpression .ace_class {\
color: #008080;\
}\
.ace-pdjsexpression .ace_support.ace_other {\
color: #6D79DE;\
}\
.ace-pdjsexpression .ace_variable.ace_parameter {\
font-style: italic;\
color: #FD971F;\
}\
.ace-pdjsexpression .ace_comment {\
color: #008000;\
}\
.ace-pdjsexpression .ace_constant.ace_numeric {\
color: black;\
}\
.ace-pdjsexpression .ace_variable {\
color: rgb(49, 132, 149);\
}\
.ace-pdjsexpression .ace_xml-pe {\
color: rgb(104, 104, 91);\
}\
.ace-pdjsexpression .ace_support.ace_storedprocedure {\
color: #800000;\
}\
.ace-pdjsexpression .ace_heading {\
color: rgb(12, 7, 255);\
}\
.ace-pdjsexpression .ace_list {\
color: rgb(185, 6, 144);\
}\
.ace-pdjsexpression .ace_marker-layer .ace_selection {\
background: rgb(181, 213, 255);\
}\
.ace-pdjsexpression .ace_marker-layer .ace_step {\
background: rgb(252, 255, 0);\
}\
.ace-pdjsexpression .ace_marker-layer .ace_stack {\
background: rgb(164, 229, 101);\
}\
.ace-pdjsexpression .ace_marker-layer .ace_bracket {\
margin: -1px 0 0 -1px;\
border: 1px solid rgb(192, 192, 192);\
}\
.ace-pdjsexpression .ace_marker-layer .ace_active-line {\
background: rgba(0, 0, 0, 0.07);\
}\
.ace-pdjsexpression .ace_gutter-active-line {\
background-color: #dcdcdc;\
}\
.ace-pdjsexpression .ace_marker-layer .ace_selected-word {\
background: rgb(250, 250, 255);\
border: 1px solid rgb(200, 200, 250);\
}\
.ace-pdjsexpression .ace_meta.ace_tag {\
color: #0000FF;\
}\
.ace-pdjsexpression .ace_string.ace_regex {\
color: #FF0000;\
}\
.ace-pdjsexpression .ace_string {\
color: #FF0000;\
}\
.ace-pdjsexpression .ace_entity.ace_other.ace_attribute-name {\
color: #994409;\
}\
.ace-pdjsexpression .ace_indent-guide {\
background: url(\"data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAACCAYAAACZgbYnAAAAE0lEQVQImWP4////f4bLly//BwAmVgd1/w11/gAAAABJRU5ErkJggg==\") right repeat-y;\
}\
";

    var dom = require("../lib/dom");
    dom.importCssString(exports.cssText, exports.cssClass);
}); (function () {
    ace.require(["ace/theme/pdjsexpression"], function (m) {
        if (typeof module == "object" && typeof exports == "object" && module) {
            module.exports = m;
        }
    });
})();
